#pragma once
#include <FK/FK.h>
#include "FKUT/SpriteModel.h"

class CTransitionEffect {
private:
	fk_Block	block;
	fk_Model	effectModel;
	fk_Material	effectMat;

	unsigned long	regTime, useTime;
	int				mode;

public:
	CTransitionEffect(void);
	~CTransitionEffect(void);

	void	fadeFrom(double r, double g, double b, unsigned long t);
	void	fadeTo(double r, double g, double b, unsigned long t);

	bool	update(fk_Scene *scene);
	int		getMode(void);
};
